Bug 445960 - krecipes core dumps on startup
krecipes core dumps on startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: krecipes (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-10 11:30 EDT by Jussi Eloranta
Modified: 2008-07-17 14:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-17 14:48:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jussi Eloranta 2008-05-10 11:30:18 EDT
Description of problem:


Start krecipes (with or without the 400+ initial recipes), it will core dump:

kbuildsycoca running...
*** glibc detected *** krecipes: free(): invalid pointer: 0x08fbbca0 ***
======= Backtrace: =========
/lib/libc.so.6[0xa237e4]
/lib/libc.so.6(cfree+0x96)[0xa25846]
krecipes[0x80c7bf8]
krecipes[0x80c4e6c]
/usr/lib/qt-3.3/lib/libqt-mt.so.3(_ZN9QSqlQuery4execERK7QString+0x265)[0x4ba38b5]
/usr/lib/qt-3.3/lib/libqt-mt.so.3(_ZN9QSqlQuery4initERK7QStringP12QSqlDatabase+0x8e)[0x4ba321e]
/usr/lib/qt-3.3/lib/libqt-mt.so.3(_ZN9QSqlQueryC1ERK7QStringP12QSqlDatabase+0x36)[0x4ba3366]
krecipes[0x80ca3c8]
krecipes[0x80d0b8e]
krecipes[0x807e13f]
krecipes[0x807e76f]
krecipes[0x807811a]
krecipes(_ZN13QListViewItem9paintCellEP8QPainterRK11QColorGroupiii+0x5e1)[0x8076d15]
/lib/libc.so.6(__libc_start_main+0xe6)[0x9cc5d6]
krecipes(_ZN9KListView7qt_emitEiP8QUObject+0x4d)[0x8076a11]
======= Memory map: ========
00101000-0010e000 r-xp 00000000 08:01 10715577   /lib/libgcc_s-4.3.0-20080428.so.1
0010e000-0010f000 rw-p 0000c000 08:01 10715577   /lib/libgcc_s-4.3.0-20080428.so.1
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00112000 r-xp 00000000 08:01 5796766    /usr/lib/libkspell.so.4.2.0
00112000-00113000 rw-p 00000000 08:01 5796766    /usr/lib/libkspell.so.4.2.0
00113000-00117000 r-xp 00000000 08:01 9142631    /usr/lib/libXfixes.so.3.1.0
00117000-00118000 rw-p 00003000 08:01 9142631    /usr/lib/libXfixes.so.3.1.0
00118000-001a3000 r-xp 00000000 08:01 5799000    /usr/lib/libfreetype.so.6.3.16
001a3000-001a7000 rw-p 0008a000 08:01 5799000    /usr/lib/libfreetype.so.6.3.16
001a9000-001ce000 r-xp 00000000 08:01 10715519   /lib/libexpat.so.1.5.2
001ce000-001d0000 rw-p 00024000 08:01 10715519   /lib/libexpat.so.1.5.2
001d2000-002b9000 r-xp 00000000 08:01 9142673    /usr/lib/libstdc++.so.6.0.10
002b9000-002bd000 r--p 000e6000 08:01 9142673    /usr/lib/libstdc++.so.6.0.10
002bd000-002bf000 rw-p 000ea000 08:01 9142673    /usr/lib/libstdc++.so.6.0.10
002bf000-002c4000 rw-p 002bf000 00:00 0 
002c6000-002f4000 r-xp 00000000 08:01 9142306    /usr/lib/libfontconfig.so.1.3.0
002f4000-002f5000 rw-p 0002e000 08:01 9142306    /usr/lib/libfontconfig.so.1.3.0
002f7000-002ff000 r-xp 00000000 08:01 9142530    /usr/lib/libXrender.so.1.3.0
002ff000-00300000 rw-p 00007000 08:01 9142530    /usr/lib/libXrender.so.1.3.0
00302000-0030a000 r-xp 00000000 08:01 9142571    /usr/lib/libXi.so.6.0.0
0030a000-0030b000 rw-p 00007000 08:01 9142571    /usr/lib/libXi.so.6.0.0
0030b000-0030f000 r-xp 00000000 08:01 6161563   
/usr/lib/qt-3.3/plugins/inputmethods/libqimsw-none.so
0030f000-00310000 rw-p 00003000 08:01 6161563   
/usr/lib/qt-3.3/plugins/inputmethods/libqimsw-none.so
00310000-00312000 r-xp 00000000 08:01 5785095   
/usr/lib/libscim-x11utils-1.0.so.8.2.3
00312000-00313000 rw-p 00001000 08:01 5785095   
/usr/lib/libscim-x11utils-1.0.so.8.2.3
00314000-0031d000 r-xp 00000000 08:01 9142632    /usr/lib/libXcursor.so.1.0.2
0031d000-0031e000 rw-p 00008000 08:01 9142632    /usr/lib/libXcursor.so.1.0.2
00320000-00322000 r-xp 00000000 08:01 9142550    /usr/lib/libXinerama.so.1.0.0
00322000-00323000 rw-p 00001000 08:01 9142550    /usr/lib/libXinerama.so.1.0.0
00325000-0032b000 r-xp 00000000 08:01 9142601    /usr/lib/libXrandr.so.2.1.0
0032b000-0032c000 rw-p 00005000 08:01 9142601    /usr/lib/libXrandr.so.2.1.0
0032e000-00335000 r-xp 00000000 08:01 10715627   /lib/libacl.so.1.1.0
00335000-00336000 rw-p 00006000 08:01 10715627   /lib/libacl.so.1.1.0
00338000-00339000 r-xp 00000000 08:01 5788407    /usr/lib/libutempter.so.1.1.5
00339000-0033a000 rw-p 00000000 08:01 5788407    /usr/lib/libutempter.so.1.1.5
0033c000-00366000 r-xp 00000000 08:01 9142694    /usr/lib/libkdefx.so.4.2.0
00366000-00367000 rw-p 0002a000 08:01 9142694    /usr/lib/libkdefx.so.4.2.0
00370000-00387000 r-xp 00000000 08:01 9142670    /usr/lib/libICE.so.6.3.0
00387000-00388000 rw-p 00016000 08:01 9142670    /usr/lib/libICE.so.6.3.0
00388000-0038a000 rw-p 00388000 00:00 0 
0038c000-0039d000 r-xp 00000000 08:01 10715571   /lib/libresolv-2.8.so
0039d000-0039e000 r--p 00010000 08:01 10715571   /lib/libresolv-2.8.so
0039e000-0039f000 rw-p 00011000 0KCrash: Application 'krecipes' crashing...
Could not find 'drkonqi' executable.
KCrash cannot reach kdeinit, launching directly.
Alarm clock

(the above is the first run of krecipes with just hitting next, next, ... finish).
Comment 1 Bug Zapper 2008-05-14 06:57:52 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Steven M. Parrish 2008-06-10 11:52:08 EDT
Checked bugs.kde.org for a matching bug and did not find one.  Please report
this at bugs.kde.org and add the upstream report info to this report.  We will
monitor upstream for resolution.
Comment 3 Steven M. Parrish 2008-07-17 14:48:30 EDT
It has been more than 30 days since information was requested of the reporter. 
Going to close the bug as WONTFIX.  Feel free to reopen if you have additional
information.

Note You need to log in before you can comment on or make changes to this bug.